Subject: [GIT PULL] at91: devices and boards files update for 3.3

From: [email-masked] (Nicolas Ferre)
Date: Fri, 16 Dec 2011 17:37:49 +0100

On 12/16/2011 08:06 AM, Olof Johansson :
> Hi,
> 
> On Thu, Dec 15, 2011 at 6:25 AM, Nicolas Ferre <[email-masked]> wrote:
>> Arnd, Olof,
>>
>> This pull request adds the ISI to the sam9m10g45 board. As ISI has
>> been waited for a long time on AT91, I think it is not possible to wait
>> for the DT support. Moreover, DT support for this camera sensor + ISI
>> soc interface seems not so trivial and will certainly need a handful of
>> kernel releases before being stabilized.
>> Other changes are quite simple and self-explanatory...
>>
>> The following changes since commit dc47ce90c3a822cd7c9e9339fe4d5f61dcb26b50:
>>
>>  Linux 3.2-rc5 (2011-12-09 15:09:32 -0800)
>>
>> are available in the git repository at:
>>  git://github.com/at91linux/linux-at91.git for-arnd-3.3-device_board
> 
> Sure, since you removed a defconfig I'm OK with a small amount of
> board addition for ISI.
> 
> However, I noticed that it doesn't build with at91sam9g45_defconfig:
> 
> arch/arm/mach-at91/board-sam9m10g45ek.c:195: error: unknown field
> 'full_mode' specified in initializer
> arch/arm/mach-at91/board-sam9m10g45ek.c:195: warning: excess elements
> in struct initializer
> arch/arm/mach-at91/board-sam9m10g45ek.c:195: warning: (near
> initialization for 'isi_data')
> arch/arm/mach-at91/board-sam9m10g45ek.c:198: error: unknown field
> 'mck_hz' specified in initializer
>
> Please fixup and send fresh request.

Olof,

Yes, this ISI driver addition is also dependent on an update of the ISI
driver itself that will certainly be included in 3.3 by Guennadi using
v4L2 path.

So, do we have to wait for its inclusion in linux-next or maybe we can
manage this little out-of-sync situation during the 3.3 life cycle...

ISI is a "several times reworked" and "long-awaited" driver and I really
would like to see it included in mainline soon...

Best regards,
-- 
Nicolas Ferre